BTRFS-QUOTA(8)

NAME
btrfs-quota - control the quota of a btrfs filesystem

SYNOPSIS

btrfs quota <subcommand> <args>

DESCRIPTION

btrfs quota is used to enable/disable or rescan subvolume quota of a btrfs filesystem.

For setting quota or other quota operations on a btrfs filesystem, please see btrfs-qgroup(8) for details.

    Warning

    Quota and qgroup in btrfs filesystem is not stable and impacts performance in mainline kernel yet(v3.14 so far).

SUBCOMMAND

enable <path>
    Enable subvolume quota support for a filesystem.

disable <path>
    Disable subvolume quota support for a filesystem.

rescan [-s] <path>
    Trash all qgroup numbers and scan the metadata again with the current config.

    Options

    -s
        show status of a running rescan operation.

    -w
        wait for rescan operation to finish(can be already in progress).

EXIT STATUS

btrfs quota returns a zero exit status if it succeeds. Non zero is returned in case of failure.

AVAILABILITY

btrfs is part of btrfs-progs. Please refer to the btrfs wiki http://btrfs.wiki.kernel.org for further details.

SEE ALSO

mkfs.btrfs(8), btrfs-subvolume(8), btrfs-qgroup(8)